#
# DATASOURCE
#
spring.datasource.initialization-mode=never
spring.datasource.platform=postgresql

#
# EMAIL CONFIGURATION
#
spring.mail.active=false
spring.mail.host=smtp.gmail.com
spring.mail.port=587
spring.mail.username=noreply.scrumify@gmail.com
spring.mail.password=3c4tIBCMHTVuH5D6
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.starttls.enable=true
spring.mail.sender=noreply.scrumify@gmail.com

#
# IMAP CONFIGURATION
#
imap.mail.host=imap.googlemail.com
imap.mail.port=993
imap.mail.username=noreply.scrumify@gmail.com
imap.mail.password=3c4tIBCMHTVuH5D6

#
# INTERNATIONALIZATION
#
spring.messages.cache-duration=-1

#
# JPA / HIBERNATE
#
spring.jpa.show-sql=false
spring.jpa.hibernate.ddl-auto=validate
spring.jpa.properties.hibernate.format_sql=false
spring.jpa.properties.hibernate.show_sql=false
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQL82Dialect
spring.jpa.properties.hibernate.temp.use_jdbc_metadata_defaults=false

#
# LIQUIBASE
#
spring.liquibase.drop-first=false
spring.liquibase.enabled=true

#
# LOGGING
#
logging.file=@project.build.directory@/logs/scrumify.log
logging.level.pt.com.scrumify=INFO
logging.level.org.springframework=ERROR
logging.level.org.hibernate=ERROR

#
# LUCENE
#
spring.jpa.properties.hibernate.search.default.directory_provider=filesystem
spring.jpa.properties.hibernate.search.default.indexBase=@project.build.directory@/hibernate-search

#
# SCHEDULERS
#
scheduler.workitem.automator.enabled=false
scheduler.workitem.automator.fixed.delay=60000
scheduler.workitem.automator.initial.delay=0

#
# SERVER
#
application.protocol=http
application.domain=scrumify.devops.lab
application.port=10102
server.servlet.context-path=

#
# STORAGE
#
storage.directory=@project.build.directory@/storage

#
# THYMELEAF
#
spring.thymeleaf.cache=true